/**
 * EntityDeterminer2.java
 *
 * File generated from the medication2::EntityDeterminer2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityDeterminer2.
 *
 * 
 */

@XmlType(name = "EntityDeterminer")
@XmlEnum
@XmlRootElement(name = "EntityDeterminer2")
public enum EntityDeterminer2 {
	@XmlEnumValue("INSTANCE")
	INSTANCE("INSTANCE"),
	@XmlEnumValue("KIND")
	KIND("KIND"),
	@XmlEnumValue("QUANTIFIED_KIND")
	QUANTIFIEDKIND("QUANTIFIED_KIND");
	
	private final String value;

    EntityDeterminer2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static EntityDeterminer2 fromValue(String v) {
        for (EntityDeterminer2 c: EntityDeterminer2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
